(function($) {

  $.fn.inputFilter = function(inputFilter) {

    return this.on("input keydown keyup mousedown mouseup select contextmenu drop", function() {

      if (inputFilter(this.value)) {

        this.oldValue = this.value;

        this.oldSelectionStart = this.selectionStart;

        this.oldSelectionEnd = this.selectionEnd;

      } else if (this.hasOwnProperty("oldValue")) {

        this.value = this.oldValue;

        this.setSelectionRange(this.oldSelectionStart, this.oldSelectionEnd);

      } else {

        this.value = "";

      }

    });

  };

}(jQuery));



$("#first_name").inputFilter(function(value) {

  return /^[a-zA-Z ]*$/i.test(value); });

$("#last_name").inputFilter(function(value) {

  return /^[a-zA-Z ]*$/i.test(value); });

$("#agency_name").inputFilter(function(value) {

  return /^[a-zA-Z ]*$/i.test(value); });

$("#city_name").inputFilter(function(value) {

  return /^[a-zA-Z ]*$/i.test(value); });
$("#state_name").inputFilter(function(value) {

  return /^[a-zA-Z ]*$/i.test(value); });

 $("#pin_code").inputFilter(function(value) {
    return /^[0-9]*$/.test(value); });








    

